/*
 * @Company: hugeInfo
 * @Author: ldh
 * @Date: 2022-07-20 17:44:04
 * @LastEditTime: 2022-07-27 15:56:41
 * @LastEditors: ldh
 * @Version: 1.0.0
 * @Description: 调解邀请码
 */
import React from 'react';
import PropTypes from 'prop-types';
import { Row, Col, Typography, Space } from 'antd';
import { yunVideo } from '../../../assets/images/icon';

const { Paragraph } = Typography;

const MediationCode = ({ disputeData }) => {
	return (
		<div className="mediationWindow-modal-main">
			<Row gutter={[16, 16]}>
				<Col span={6}>
					<h5>司法确认案号</h5>
					<div>{disputeData.caseNo}</div>
				</Col>
				<Col span={6}>
					<h5>在线视频司法确认房间号</h5>
					<Space>
						<img src={yunVideo} alt="" />
						{disputeData.meetCloud?.roomNo ? (
							<Paragraph style={{ margin: 0 }} copyable>
								{disputeData.meetCloud.roomNo}
							</Paragraph>
						) : (
							<div>-</div>
						)}
					</Space>
				</Col>
			</Row>
		</div>
	);
};

MediationCode.propTypes = {
	disputeData: PropTypes.object,
};

export default MediationCode;
